### partial_cancellation_slot_binder

A function object type that adapts a completion token to specify that the completion handler should have the supplied cancellation slot as its associated cancellation slot.

    template<
        typename CancellationSlot>
    struct partial_cancellation_slot_binder

##### Member Functions

Name | Description
--- | ---
operator() | Adapt a completion token to specify that the completion handler should have the cancellation slot as its associated cancellation slot.
partial_cancellation_slot_binder [constructor] | Constructor that specifies associated cancellation slot.

##### Data Members

Name | Description
--- | ---
cancellation_slot_ |

May also be used directly as a completion token, in which case it adapts the asynchronous operation's default completion token (or `deferred` if no default is available).

##### Requirements

Header: `asio/bind_cancellation_slot.hpp`

Convenience header: `asio.hpp`